#!/bin/sh

export SHELL_DIR=`dirname $0`
export MUSE_HOME=$SHELL_DIR/..

export MODULES_DIR=$MUSE_HOME/modules
export CORE_DIR=$MODULES_DIR/core
export TOOLS_DIR=$MODULES_DIR/tools
export API_DIR=$MODULES_DIR/ws-fx-api
export IMPL_DIR=$MODULES_DIR/ws-fx-impl
export COMMON_LIB_DIR=$MUSE_HOME/lib/common

if [ ! -e "$MUSE_HOME/lib/axis2" ] || [ ! -e "$MUSE_HOME/lib/eclipse-osgi" ] || [ ! -e "$MUSE_HOME/lib/common" ]; then
    echo "Your installation is incomplete, running update_install.sh (this will only happen once)..."
    if $SHELL_DIR/update_install.sh; then
        echo "Update complete!"
    else
        echo Updating failed! Exiting
        exit 1
    fi
fi

export CLASSPATH=

for file in $CORE_DIR/*.jar; do
	export CLASSPATH=$file:$CLASSPATH;
done

for file in $TOOLS_DIR/*.jar; do
	export CLASSPATH=$file:$CLASSPATH;
done

for file in $API_DIR/*.jar; do
	export CLASSPATH=$file:$CLASSPATH;
done

for file in $IMPL_DIR/*.jar; do
	export CLASSPATH=$file:$CLASSPATH;
done

for file in $COMMON_LIB_DIR/*.jar; do
	export CLASSPATH=$file:$CLASSPATH;
done

if [ $OSTYPE == "cygwin" ]; then
    export CLASSPATH=$(cygpath -w --path $CLASSPATH)
fi

java -classpath "$CLASSPATH" -DMUSE_HOME="$MUSE_HOME" org.apache.muse.tools.generator.Wsdl2Java $*

